\name{smooth.sspline}
\alias{smooth.sspline}
\title{Smoothing Spline on the Sphere}
\description{
    It fits a smoothing splines on the sphere with the smoothing
    parameter chosen by the generalized cross validation (GCV) criteria.
}
\usage{
smooth.sspline(lon, lat, y)
}
\arguments{
  \item{lon}{ numeric vector, the longitudes }
  \item{lat}{ numeric vector, the latitudes }
  \item{y}{ numeric vector, the observations at (lon, lat) }
}
\details{
    It calls Fortran subroutines using the .Fortran interface.
}
\value{
  A \code{smooth.sspline} object with the components
  \item{ }{Description of `comp1'}
  \item{comp2 }{Description of `comp2'}
  ...
}
\references{ ~put references to the literature/web site here ~ }
\author{ Xianhong Xie <\email{xie@stat.wisc.edu> }
\note{The longitudes and latitudes are measured in degrees.}
\seealso{ ~~objects to SEE ALSO as \code{\link{~~fun~~}}, ~~~ }

\examples{
##---- Should be DIRECTLY executable !! ----
##-- ==>  Define data, use random,
##--	     or do  help(data=index)  for the standard data sets.

## The function is currently defined as
function (lon, lat, y) 
{
    this.call <- match.call()
    n <- length(lon)
    lambda <- numeric(1)
    varhat <- numeric(1)
    gcv <- numeric(1)
    coef.d <- numeric(1)
    coef.c <- numeric(n)
    yhat <- numeric(n)
    S <- numeric(n)
    tau <- numeric(n)
    d <- numeric(n)
    e <- numeric(n)
    work <- numeric(8 * n)
    lon <- (lon * pi)/180
    lat <- (lat * pi)/180
    result <- .Fortran("sspline", as.double(lon), as.double(lat), 
        as.double(y), as.integer(n), as.double(lambda), as.double(varhat), 
        as.double(gcv), as.double(coef.c), as.double(coef.d), 
        as.double(yhat), as.double(numeric(n^2)), as.integer(n), 
        as.double(S), as.double(tau), as.double(work), as.integer(8 * 
            n), as.double(d), as.double(e))[c(5:10)]
    object <- list(lon = lon, lat = lat, obs = y, lambda = result[[1]], 
        gcv = result[[3]], varhat = result[[2]], c = result[[4]], 
        d = result[[5]], yhat = result[[6]], call = this.call)
    class(object) <- "smooth.sspline"
    object
  }
}
\keyword{ ~keyword }%-- one or more ...


